# $Revision: 1.196.4.11 $, $Date: 2008-04-03 21:15:03 $
# TODO
# - cleanup files; move libs to proper packages
# - subpackages for
#  - different protocols (like koptete)
#  - huge deps (mono...)
# - nas, silc/silcclient?
# - kerberos 4 with zephyr support?
# - external zephyr?
#   http://packages.qa.debian.org/z/zephyr.html
# - move mono related files to -libs?
# - add NetworkManager support
#
%bcond_without	cap		# without Contact Availability Prediction
%bcond_without	dbus		# without dbus (for pidgin-remote and others)
%bcond_without	doc		# do not generate and include documentation
%bcond_with	dotnet		# build with mono support
%bcond_without	evolution	# compile without the Pidgin-Evolution plugin
%bcond_without	gtkspell	# without gtkspell support
%bcond_without	meanwhile	# without meanwhile support
%bcond_without	sasl		# disable SASL support
%bcond_without	text		# don't build text UI
%bcond_without 	silc		# Build without SILC libraries

# plain i386 is not supported; mono uses cmpxchg/xadd which require i486
%ifarch i386
%undefine	with_dotnet
%endif
#
%include	/usr/lib/rpm/macros.perl
Summary:	A client compatible with AOL's 'Instant Messenger'
Summary(de.UTF-8):	Pidgin ist ein Instant Messenger
Summary(ko.UTF-8):	AOL 인스턴트 메신저와 호환되는 클라이언트
Summary(pl.UTF-8):	Klient kompatybilny z AOL Instant Messenger
Summary(pt_BR.UTF-8):	Um cliente para o AOL Instant Messenger (AIM)
Name:		pidgin
Version:	2.4.1
Release:	1
License:	GPL
Group:		Applications/Communications
Source0:	http://dl.sourceforge.net/pidgin/%{name}-%{version}.tar.bz2
# Source0-md5:	ff015bb8bbdcc6a9b4ac954c355179d7
Patch0:		%{name}-nolibs.patch
Patch1:		%{name}-dbus-dir.patch
Patch2:		%{name}-libgadu.patch
Patch3:		%{name}-autoconf.patch
URL:		http://www.pidgin.im/
BuildRequires:	GConf2-devel >= 2.14.0
BuildRequires:	audiofile-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	avahi-devel
BuildRequires:	bind-devel
%{?with_sasl:BuildRequires:	cyrus-sasl-devel}
%{?with_dbus:BuildRequires:	dbus-glib-devel >= 0.62}
%{?with_evolution:BuildRequires:	evolution-data-server-devel >= 1.6.3}
BuildRequires:	gettext-autopoint
BuildRequires:	gettext-devel
BuildRequires:	gnutls-devel
BuildRequires:	gstreamer-devel >= 0.10.10
BuildRequires:	gtk+2-devel >= 2:2.8.20
%{?with_gtkspell:BuildRequires:	gtkspell-devel >= 2.0.11}
BuildRequires:	intltool
BuildRequires:	libgadu-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 2.6.26
%{?with_meanwhile:BuildRequires:	meanwhile-devel}
%{?with_dotnet:BuildRequires:	mono-csharp}
%{?with_dotnet:BuildRequires:	mono-devel}
%{?with_text:BuildRequires:	ncurses-ext-devel}
BuildRequires:	perl-devel
BuildRequires:	pkgconfig
BuildRequires:	python-modules
BuildRequires:	rpm-perlprov
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.177
%{?with_silc:BuildRequires:	silc-toolkit-devel >= 1.1}
BuildRequires:	startup-notification-devel
BuildRequires:	tcl-devel
BuildRequires:	tk-devel
%if %{with cap}
BuildRequires:	sqlite3-devel >= 3.3
%endif
BuildRequires:	XFree86-devel
%if %{with doc}
BuildRequires:	doxygen
BuildRequires:	graphviz
%endif
%{?with_sasl:Requires(hint):    cyrus-sasl-digest-md5}
Requires(post,preun):	GConf2 >= 2.14.0
Requires:	%{name}-libs = %{version}-%{release}
Obsoletes:	gaim
Obsoletes:	gaim-ui
Obsoletes:	gaim-ui-gtk
# discontinued gaim plugins
Obsoletes:	gaim-encryption
Obsoletes:	gaim-plugin-tlen
Obsoletes:	gaim-plugin-xmms-remote
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pidgin allows you to talk to anyone using AOL's Instant Messenger
service (you can sign up at http://www.aim.aol.com). It uses the TOC
version of the AOL protocol, so your buddy list is stored on AOL's
servers and can be retrieved from anywhere. It contains many of the
same features as AOL's IM client while at the same time incorporating
many new features. Pidgin also contains a multiple connection feature
which consists of protocol plugins. These plugins allow you to use
pidgin to connect to other chat services such as Yahoo!, ICQ, MSN,
Jabber, Napster, Zephyr, IRC and Gadu-Gadu.

%description -l pl.UTF-8
Pidgin pozwala na rozmowy z dowolną osobą używającą usługi AOL Instant
Messenger (można się zarejestrować pod adresem
http://www.aim.aol.com/). Program używa wersji TOC protokołu AOL więc
Twoja lista kontaktów jest zapisana na serwerze AOL i może być
przesłana gdziekolwiek. Pidgin zawiera wiele udogodnień dostępnych w
kliencie AOL IM jak również dodaje własne. Pidgin umożliwia także
dostęp do usług takich jak Yahoo!, ICQ, MSN, Jabber, Napster, Zephyr,
IRC oraz Gadu-Gadu.

%description -l pt_BR.UTF-8
Pidgin é um cliente para o AOL Instant Messenger (AIM) que usa o
serviço tik/toc da AOL. É desenvolvido ativamente e suporta muitas das
características do cliente da AOL, tendo uma interface similiar.
Também oferece suporte a outros protocolos, como: ICQ, IRC, Yahoo!,
MSN, Jabber e Napster.

%description -l de.UTF-8
Pidgin ist ein Instant Messenger der von Mark Spencer ursprünglich für
unixähnliche Systeme (GNU/Linux, BSD) geschrieben wurde, nun aber auch
auf Microsoft Windows und Mac OS X lauffähig ist und mit vielen
Plugins stark erweitert werden kann.

%package libs
Summary:	Pidgin client library
Summary(pl.UTF-8):	Biblioteka klienta Pidgina
Group:		Libraries

%description libs
Pidgin client library.

%description libs -l pl.UTF-8
Biblioteka klienta Pidgina.

%package devel
Summary:	Development files for Pidgin client library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki klienta Pidgina
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	gtk+2-devel >= 2:2.8.20
Obsoletes:	gaim-devel

%description devel
Development files for Pidgin.

%description devel -l pl.UTF-8
Pliki programistyczne biblioteki Pidgina.

%package perl
Summary:	Pidgin files for Perl scripts
Summary(pl.UTF-8):	Pliki Pidgina dla skryptów w Perlu
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	gaim-perl

%description perl
This package gives you ability to extend Pidgin functionality with
Perl scripts.

%description perl -l pl.UTF-8
Ten pakiet daje możliwość rozszerzania funkcjonalności Pidgina za
pomocą skryptów Perla.

%package tcl
Summary:	Pidgin files for Tcl scripts
Summary(pl.UTF-8):	Pliki Pidgina dla skryptów w Tcl-u
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	gaim-tcl

%description tcl
This package gives you ability to extend Pidgin functionality with Tcl
scripts.

%description tcl -l pl.UTF-8
Ten pakiet daje możliwość rozszerzania funkcjonalności Pidgina za
pomocą skryptów w Tcl-u.

%package plugin-evolution
Summary:	Plugin for Ximian Evolution integration
Summary(pl.UTF-8):	Wtyczka do integracji z Evolution
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	gaim-plugin-evolution

%description plugin-evolution
Provides integration with Ximian Evolution.

%description plugin-evolution -l pl.UTF-8
Wtyczka do integracji z Evolution.

%package plugin-remote
Summary:	Pidgin Remote Control
Summary(pl.UTF-8):	Zdalne sterowanie Pidginem
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	gaim-plugin-remote

%description plugin-remote
This package gives Pidgin the ability to be remote-controlled through
third-party applications or through the pidgin-remote tool.

%description plugin-remote -l pl.UTF-8
Ten pakiet daje możliwość zdalnego sterowania Pidginem przez inne
aplikacje albo narzędzie pidgin-remote.

%package doc
Summary:	Pidgin documentation for developers (HTML format)
Summary(pl.UTF-8):	Dokumentacja Pidgina dla programistów (format HTML)
Group:		Documentation
Obsoletes:	gaim-doc

%description doc
Pidgin documentation for developers (HTML format).

%description doc -l pl.UTF-8
Dokumentacja Pidgina dla programistów (format HTML).

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%if %{with dotnet}
if [ ! -f /proc/cpuinfo ]; then
	echo >&2 "Mono requires /proc to be mounted."
	exit 1
fi
%endif

%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4macros
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--disable-nas \
	--enable-nss=no \
	--with-perl-lib=vendor \
	%{!?with_silc:--with-silc-includes=not_existent_directory} \
	--%{?with_cap:en}%{!?with_cap:dis}able-cap \
	%{?with_sasl:--enable-cyrus-sasl} \
	%{?with_dbus:--enable-dbus --with-dbus-session-dir=%{_datadir}/dbus-1/services} \
	%{!?with_dbus:--disable-dbus} \
	%{!?with_evolution:--disable-gevolution} \
	%{!?with_gtkspell:--disable-gtkspell} \
	%{?with_dotnet:--enable-mono} \
	--%{?with_text:en}%{!?with_text:dis}able-consoleui

%{__make} -j1
%{?with_doc:%{__make} docs}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/finch/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/gnt/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/pidgin/{,private}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/purple-2/*.la
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/{ca@valencia,ca_ES@valencian,my_MM,ps}

%find_lang %{name} --with-gnome
rm -f $RPM_BUILD_ROOT{%{perl_archlib}/perllocal.pod,%{perl_vendorarch}/auto/Pidgin/{,GtkUI}/.packlist}
rm -rf $RPM_BUILD_ROOT%{_datadir}/purple/ca-certs

%if %{with dbus}
rm $RPM_BUILD_ROOT%{_bindir}/purple-client-example
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install purple.schemas

%preun
%gconf_schema_uninstall purple.schemas

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog{,.API} HACKING NEWS PLUGIN_HOWTO README*
%attr(755,root,root) %{_bindir}/pidgin
%dir %{_libdir}/pidgin
%attr(755,root,root) %{_libdir}/purple-2/autoaccept.so
%attr(755,root,root) %{_libdir}/purple-2/buddynote.so
%if %{with cap}
%attr(755,root,root) %{_libdir}/pidgin/cap.so
%endif
%if %{with dotnet}
%attr(755,root,root) %{_libdir}/purple-2/*.dll
%attr(755,root,root) %{_libdir}/purple-2/mono.so
%endif
%attr(755,root,root) %{_libdir}/pidgin/convcolors.so
%attr(755,root,root) %{_libdir}/pidgin/extplacement.so
%attr(755,root,root) %{_libdir}/pidgin/pidginrc.so
%attr(755,root,root) %{_libdir}/pidgin/gestures.so
%attr(755,root,root) %{_libdir}/pidgin/gtkbuddynote.so
%attr(755,root,root) %{_libdir}/pidgin/history.so
%attr(755,root,root) %{_libdir}/pidgin/iconaway.so
%attr(755,root,root) %{_libdir}/pidgin/markerline.so
%attr(755,root,root) %{_libdir}/pidgin/notify.so
%attr(755,root,root) %{_libdir}/pidgin/relnot.so
%attr(755,root,root) %{_libdir}/pidgin/spellchk.so
%attr(755,root,root) %{_libdir}/pidgin/ticker.so
%attr(755,root,root) %{_libdir}/pidgin/timestamp.so
%attr(755,root,root) %{_libdir}/pidgin/timestamp_format.so
%attr(755,root,root) %{_libdir}/pidgin/xmppconsole.so
%if %{with text}
%attr(755,root,root) %{_bindir}/finch
%dir %{_libdir}/finch
%attr(755,root,root) %{_libdir}/finch/gntclipboard.so
%attr(755,root,root) %{_libdir}/finch/gntgf.so
%attr(755,root,root) %{_libdir}/finch/gnthistory.so
%attr(755,root,root) %{_libdir}/finch/gntlastlog.so
%attr(755,root,root) %{_libdir}/finch/grouping.so
%dir %{_libdir}/gnt
%attr(755,root,root) %{_libdir}/gnt/*.so
%endif
%dir %{_libdir}/purple-2
%{?with_dbus:%attr(755,root,root) %{_libdir}/purple-2/dbus-example.so}
%attr(755,root,root) %{_libdir}/purple-2/idle.so
%attr(755,root,root) %{_libdir}/purple-2/joinpart.so
%attr(755,root,root) %{_libdir}/purple-2/libaim.so
%attr(755,root,root) %{_libdir}/purple-2/libbonjour.so
%attr(755,root,root) %{_libdir}/purple-2/libgg.so
%attr(755,root,root) %{_libdir}/purple-2/libicq.so
%attr(755,root,root) %{_libdir}/purple-2/libirc.so
%attr(755,root,root) %{_libdir}/purple-2/libjabber.so.*
%attr(755,root,root) %{_libdir}/purple-2/libmsn.so
%attr(755,root,root) %{_libdir}/purple-2/libmyspace.so
%attr(755,root,root) %{_libdir}/purple-2/libnovell.so
%attr(755,root,root) %{_libdir}/purple-2/liboscar.so.*
%attr(755,root,root) %{_libdir}/purple-2/libqq.so
%attr(755,root,root) %{_libdir}/purple-2/libjabber.so
%attr(755,root,root) %{_libdir}/purple-2/liboscar.so
      
%{?with_meanwhile:%attr(755,root,root) %{_libdir}/purple-2/libsametime.so}
%{?with_silc:%attr(755,root,root) %{_libdir}/purple-2/libsilcpurple.so}
%attr(755,root,root) %{_libdir}/purple-2/libsimple.so
%attr(755,root,root) %{_libdir}/purple-2/libxmpp.so
%attr(755,root,root) %{_libdir}/purple-2/libyahoo.so
%attr(755,root,root) %{_libdir}/purple-2/libzephyr.so
%attr(755,root,root) %{_libdir}/purple-2/log_reader.so
%attr(755,root,root) %{_libdir}/purple-2/newline.so
%attr(755,root,root) %{_libdir}/purple-2/offlinemsg.so
%attr(755,root,root) %{_libdir}/purple-2/psychic.so
%attr(755,root,root) %{_libdir}/purple-2/ssl-gnutls.so
%attr(755,root,root) %{_libdir}/purple-2/ssl-nss.so
%attr(755,root,root) %{_libdir}/purple-2/ssl.so
%attr(755,root,root) %{_libdir}/purple-2/statenotify.so
%if %{with dbus}
%attr(755,root,root) %{_bindir}/purple-url-handler
%attr(755,root,root) %{_bindir}/purple-send
%attr(755,root,root) %{_bindir}/purple-send-async
%attr(755,root,root) %{_libdir}/pidgin/musicmessaging.so
%endif
%{_sysconfdir}/gconf/schemas/purple.schemas
%{_datadir}/sounds/purple
%{_mandir}/man?/*

%{_desktopdir}/pidgin.desktop
%{_pixmapsdir}/*
%{_iconsdir}/hicolor/*/apps/pidgin.*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpurple.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpurple.so.0
%if %{with dbus}
%attr(755,root,root) %{_libdir}/libpurple-client.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpurple-client.so.0
%endif
%if %{with text}
%attr(755,root,root) %{_libdir}/libgnt.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgnt.so.0
%endif

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpurple.so
%{_libdir}/libpurple.la
%dir %{_includedir}/libpurple
%{_includedir}/libpurple/*.h
%dir %{_includedir}/pidgin
%{_includedir}/pidgin/*.h
%{_pkgconfigdir}/pidgin.pc
%{_pkgconfigdir}/purple.pc
%{_aclocaldir}/purple.m4
%if %{with dbus}
%attr(755,root,root) %{_libdir}/libpurple-client.so
%{_libdir}/libpurple-client.la
%endif
%if %{with text}
%attr(755,root,root) %{_libdir}/libgnt.so
%{_libdir}/libgnt.la
%dir %{_includedir}/finch
%{_includedir}/finch/*.h
%dir %{_includedir}/gnt
%{_includedir}/gnt/*.h
%{_pkgconfigdir}/finch.pc
%{_pkgconfigdir}/gnt.pc
%endif

%files perl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/purple-2/perl.so
%{perl_vendorarch}/*.pm
%dir %{perl_vendorarch}/auto/Pidgin
%dir %{perl_vendorarch}/auto/Purple
%{perl_vendorarch}/auto/Pidgin/*.bs
%{perl_vendorarch}/auto/Purple/*.ix
%{perl_vendorarch}/auto/Purple/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Purple/Purple.so
%{perl_vendorarch}/auto/Purple/.packlist
%attr(755,root,root) %{perl_vendorarch}/auto/Pidgin/*.so

%files tcl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/purple-2/tcl.so

%if %{with evolution}
%files plugin-evolution
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/pidgin/gevolution.so
%endif

%if %{with dbus}
%files plugin-remote
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/purple-remote
%endif

%if %{with doc}
%files doc
%defattr(644,root,root,755)
%doc doc/html/*.{html,png,css}
%endif

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pidgin.spec,v $
Revision 1.196.4.11  2008-04-03 21:15:03  glen
- 2.4.1

Revision 1.196.4.10  2008-03-02 23:52:18  glen
- merge 2.4.0 from HEAD

Revision 1.196.4.9  2007-12-10 09:44:38  glen
- update to 2.3.1 from HEAD

Revision 1.196.4.8  2007-11-04 23:31:58  glen
- head merge (gaim obsoletes, version 2.2.2, dotnet off)

Revision 1.196.4.7  2007/10/19 19:04:57  glen
- more AC deps; rel 4

Revision 1.196.4.6  2007/10/18 20:23:48  glen
- rel 3

Revision 1.196.4.5  2007/10/18 17:27:19  glen
- no dotnet on i386

Revision 1.196.4.4  2007/10/18 17:23:38  glen
- obsoletes for gaim; rel 2

Revision 1.196.4.3  2007/10/18 15:11:39  glen
- AC-branch deps

Revision 1.196.4.2  2007/10/17 12:14:51  glen
- doesn't conflict with gaim, so why obsolete?
- cleanups

Revision 1.196.4.1  2007/10/17 11:52:23  glen
- AC-branched

Revision 1.196  2007/10/17 11:51:22  glen
- dotnet needs /proc
- cosmetics

Revision 1.195  2007/10/17 10:57:01  glen
- adapter

Revision 1.194  2007/09/30 23:26:41  qrczak
- intltoolize (needed with intltool-0.36.2)
- Release 0.2

Revision 1.193  2007/09/30 20:50:29  sls
- ver. 2.2.1
- BR: mono-csharps (bcond dotnet needs mcs)

Revision 1.192  2007/09/30 16:32:09  deejay1
- BR: avahi-devel instead of avahi-compat-howl-devel is enough

Revision 1.191  2007/09/22 19:14:55  sls
- make -j1 again (make -j4 fails build mono stuff)

Revision 1.190  2007/09/20 22:04:31  sls
- it builds with parallel make (developer who silently commit "make -j1"
  should be ashamed)

Revision 1.189  2007/09/20 21:54:13  sls
- more fixes in files section

Revision 1.188  2007/09/20 16:01:18  sls
- files fixes (--without text, --without dbus)

Revision 1.187  2007/09/20 14:51:12  sls
- switched on silc bcond
- blocked silc autodetection when building without silc
- added TODO entry

Revision 1.186  2007/09/20 14:04:48  sls
- pidgin-2.2.0 works with silc-1.1
- package silc and myspace plugins
- removing more unused (?) *.la files
- updated TODO

Revision 1.185  2007/09/20 13:09:57  sls
- BR: startup-notification-devel (needed to "Use startup notification" feature)

Revision 1.184  2007/09/20 13:04:16  sls
- BR: xorg-lib-libXScrnSaver (needed to "Use XScreenSaver Extension")

Revision 1.183  2007/09/20 12:58:43  sls
- BR: xorg-lib-libSM-devel (needed to "Use X Session Management")

Revision 1.182  2007/09/20 12:32:59  sls
- ver. 2.2.0

Revision 1.181  2007/09/08 20:09:34  rotom
- up to 2.1.1

Revision 1.180  2007/08/08 08:19:22  qrczak
- Removed excessive %attr inserted by adapter.

Revision 1.179  2007/08/06 16:26:13  deejay1
- add missing %{_libdir}/gnt

Revision 1.178  2007/08/06 16:20:00  deejay1
- up to 2.1.0, rel. 0.1
- adapterized

Revision 1.177  2007/07/16 11:52:06  czarny
- up to 2.0.2
- gtkbuddynote.so added
- .pcklist added to perl subpackage

Revision 1.176  2007/06/27 13:21:17  czarny
- Suggests: cyrus-sasl-digetst-md5; won't connect to PLD's jabber
  without it

Revision 1.175  2007/05/28 13:25:16  patrys
- 2.0.1

Revision 1.174  2007/05/23 19:07:08  radek
- fix dotnet bcond

Revision 1.173  2007/05/19 20:24:53  qboosh
- unified sasl bcond name

Revision 1.172  2007/05/19 20:06:31  deejay1
- added additional bconds
- use avahi for zeroconf

Revision 1.171  2007/05/10 21:14:21  apollotiger
- bconded silc (1.1 isn't compatible)
- fixed %doc

Revision 1.170  2007/05/10 06:29:03  qboosh
- some files fixes (not sure about bconds)

Revision 1.169  2007/05/10 06:21:38  qboosh
- typo

Revision 1.168  2007/05/09 22:08:02  qboosh
- desc cleanups, no epoch now

Revision 1.167  2007/05/08 22:37:19  czarny
- updated %files, little work more cleanup needed

Revision 1.166  2007/05/04 16:36:39  arekm
- enable silc

Revision 1.165  2007/05/04 15:59:33  arekm
- partial update; files needs huge update

Revision 1.164  2007/03/23 15:30:48  radek
- version 2.0.0 release 1.beta6.3: merged from DEVEL

Revision 1.154.2.28  2007/03/23 15:23:52  radek
- bcond_without meanwhile (BR: meanwhile-devel), BR: rpm-pythonprov

Revision 1.154.2.27  2007/03/23 14:57:38  radek
- BR: intltool, bind-devel

Revision 1.154.2.26  2007/02/15 14:56:14  qrczak
- Added missing libraries.
- Release 1.beta6.2

Revision 1.154.2.25  2007/02/12 13:20:12  baggins
- converted to UTF-8

Revision 1.154.2.24  2007/02/09 20:42:12  radek
- version 2.0.0 beta6
- bcond --without cap
- removed -desktop.patch (+- applied)
- update %files (so it can be built using misc --without)

Revision 1.154.2.23  2007/01/12 13:25:35  radek
- release 0._pre.2: bcond_without text for text ui

Revision 1.154.2.22  2006/11/12 18:43:56  rotom
- up to 2.0beta5

Revision 1.154.2.21  2006/10/27 14:03:11  grzegol
- updated to 2.0beta4
- removed outdated libadd patch (applied upstream)

Revision 1.154.2.20  2006/08/24 16:58:20  freetz
- 2.0.0beta3.1, bump numbers to make it upgradeable

Revision 1.154.2.19  2006/08/16 05:32:53  freetz
- reverted bogus change

Revision 1.154.2.18  2006/08/15 22:53:23  czarny
- BR dbus-glib-devel => dbus-devel

Revision 1.154.2.17  2006/08/10 21:12:39  freetz
- rel.2, bleeding edge deps, libadd patch added

Revision 1.154.2.16  2006/06/24 21:54:11  freetz
- remove unsupported locale

Revision 1.154.2.15  2006/04/07 21:50:32  freetz
- updated changelog

Revision 1.154.2.14  2006/04/07 21:49:41  freetz
- 2.0.0beta3, re-enabled dbus (works at last), added libgadu patch
  removed va patch (already included)

Revision 1.154.2.13  2006/02/16 17:47:08  freetz
- disabled dbus support (works propably only in sommer [of code])

Revision 1.154.2.12  2006/02/16 14:53:50  freetz
- oops, one more dbus fix

Revision 1.154.2.11  2006/02/16 14:40:29  freetz
- fix dbus services dir

Revision 1.154.2.10  2006/02/16 11:39:34  freetz
- allow use of avahi-compat-howl

Revision 1.154.2.9  2006/02/07 17:48:44  glen
- add dbus dir patch

Revision 1.154.2.8  2006/01/25 12:24:15  qboosh
- fixed files inconsistency

Revision 1.154.2.7  2006/01/25 07:27:56  aredridel
- up to 2.0.0beta2

Revision 1.154.2.6  2006/01/03 14:27:44  glen
- fixed broken dbus build, added dbus bcond

Revision 1.154.2.5  2006/01/03 13:35:24  glen
- BR gettext-autopoint

Revision 1.154.2.4  2005/12/19 21:07:30  qboosh
- BR: dbus-glib-devel

Revision 1.154.2.3  2005/12/19 20:55:46  qboosh
- added va patch

Revision 1.154.2.2  2005/12/19 15:25:00  freetz
- 2.0.0beta1, BR/R/file list updated, dropped gtk-ui, added libs subpkg,
  dbus stuff not packaged yet

Revision 1.154.2.1  2005/08/02 21:33:37  freetz
- 2.0.0 devel series - 20050802 snap
